org.apache.lucene.queryParser.surround.query

## Class SrndTermQuery

- java.lang.Object
- - org.apache.lucene.queryParser.surround.query.SrndQuery
  - - org.apache.lucene.queryParser.surround.query.SimpleTerm
    - - org.apache.lucene.queryParser.surround.query.SrndTermQuery

- All Implemented Interfaces:
    java.lang.Cloneable, java.lang.Comparable, DistanceSubQuery

      public class SrndTermQuery
      extends SimpleTerm

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.queryParser.surround.query.SimpleTerm

      `SimpleTerm.MatchingTermVisitor`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery

      `theEmptyLcnQuery`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SrndTermQuery(java.lang.String termText, boolean quoted)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Term` | `getLuceneTerm(java.lang.String fieldName)`
    `java.lang.String` | `getTermText()`
    `java.lang.String` | `toStringUnquoted()`
    `void` | `visitMatchingTerms(IndexReader reader, java.lang.String fieldName, SimpleTerm.MatchingTermVisitor mtv)`

    - ### Methods inherited from class org.apache.lucene.queryParser.surround.query.SimpleTerm

      `addSpanQueries, compareTo, distanceSubQueryNotAllowed, getFieldOperator, getQuote, makeLuceneQueryFieldNoBoost, suffixToString, toString`

    - ### Methods inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery

      `clone, getWeight, getWeightOperator, getWeightString, isFieldsSubQueryAcceptable, isWeighted, makeLuceneQueryField, setWeight, weightToString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SrndTermQuery

          public SrndTermQuery(java.lang.String termText,
                               boolean quoted)

  - ### Method Detail

    - #### getTermText

          public java.lang.String getTermText()

    - #### getLuceneTerm

          public Term getLuceneTerm(java.lang.String fieldName)

    - #### toStringUnquoted

          public java.lang.String toStringUnquoted()

      Specified by:
        `toStringUnquoted` in class `SimpleTerm`

    - #### visitMatchingTerms

          public void visitMatchingTerms(IndexReader reader,
                                         java.lang.String fieldName,
                                         SimpleTerm.MatchingTermVisitor mtv)
                                  throws java.io.IOException

      Specified by:
        `visitMatchingTerms` in class `SimpleTerm`
      Throws:
        `java.io.IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.